package sspr1;

public class SingleThreadedMaxFinder {
    public static int findMax(int[][] matrix) {
        int max = -999999999;
        int size = matrix.length;
        for (int i = 0; i < size; i++) {
            for (int j = i + 1; j < size; j++) {
                if (matrix[i][j] > max) {
                    max = matrix[i][j];
                }
            }
        }
        return max;
    }
}